Wikidata diff shows in a different language
Closed, ResolvedPublic

Description

Author: the.anonymouse.wikimedia

Description:
This is also related to Extension:Diff (https://www.mediawiki.org/wiki/Extension:Diff), but I think it's being caused by Wikidata Repo.

In some diffs, Wikidata shows the diff in a different language no matter which language the user interface is set to. For example try this link (notice the intentional uselang=en):
https://www.wikidata.org/w/index.php?title=Q2511165&diff=74940737&oldid=74022613?uselang=en The change as well as the properties being changed are in German instead of English. Also, https://www.wikidata.org/w/index.php?title=Q375550&diff=72741582&oldid=72711136&uselang=en is in Finnish.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz55667.
bzimport created this task.Via LegacyOct 13 2013, 4:02 AM
Lydia_Pintscher added a comment.Via ConduitOct 13 2013, 10:05 AM
  • Bug 55509 has been marked as a duplicate of this bug. ***
Addshore added a comment.Via ConduitOct 14 2013, 5:09 PM

Copied from the other bug:

https://www.wikidata.org/w/index.php?title=Q142&diff=75815053&oldid=75551467&uselang=qqx

In the example above the localized message for 'label' is displayed as 'תווית'
no matter what language you choose to display the diff in (even qqx).

Some caching somewhere may be to blame..

aude added a comment.Via ConduitOct 27 2013, 3:12 AM

I don't know if/how this ever worked properly?

In MediaWiki core, the diff body "text" gets cached in memcached without any consideration for language. (there is localisation for the "line number" string, in a somewhat hacky way which happens after diff text is retrieved from cache)

I am not convinced we need full caching, by language, for diffs in all of MediaWiki.

I have split the code [1] that generates the cache key into its own function and deriving DifferenceEngine classes can set the cache key in a different way, as appropriate.

[1] https://gerrit.wikimedia.org/r/#/c/92167/

A follow-up patch would be needed in Wikibase to fix this bug.

gerritbot added a comment.Via ConduitOct 30 2013, 7:56 PM

Change 92167 had a related patch set uploaded by Aude:
Put get diff body cache key into own function

https://gerrit.wikimedia.org/r/92167

gerritbot added a comment.Via ConduitOct 31 2013, 10:32 AM

Change 92167 merged by jenkins-bot:
Put get diff body cache key into own function

https://gerrit.wikimedia.org/r/92167

gerritbot added a comment.Via ConduitOct 31 2013, 11:46 AM

Change 92863 had a related patch set uploaded by Aude:
Split memcached for Wikibase diff view body content by lang

https://gerrit.wikimedia.org/r/92863

gerritbot added a comment.Via ConduitNov 4 2013, 1:47 PM

Change 92863 merged by jenkins-bot:
Split memcached for Wikibase diff view body content by lang

https://gerrit.wikimedia.org/r/92863

Add Comment